/*****************************************************************************/

/*
 *      handledisc.h -- REALmagic DVD, SVCD, VCD, CDDA playing primitives header
 *
 *      Copyright (C) 2001 Sigma Designs
 *                    written by Pascal Cannenterre <pascal_cannenterre@sdesigns.com>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*****************************************************************************/

#ifndef __HANDLEDISC_H__
#define __HANDLEDISC_H__

#include "handlecdda.h"

#define UP    28 //Up arrow
#define DOWN  29 //Down arrow
#define RIGHT 30 //Right arrow
#define LEFT  31 //Left arrow
#define SEL   32 //SPACE

#define TV_4x3   0x00d
#define TV_16x9  0x00e

//Defines for the domains 
#define STOP_STATE	0x01
#define VMGM_DOM	0x03
#define VTSM_DOM	0x04
#define VTSTT_DOM       0x05

void handle_Stop_Close_disc(INFO *);
void handle_FForward_disc(INFO *);
void handle_FRewind_disc(INFO *);
void handle_Prev_Track_disc(INFO *);
void handle_Next_Track_disc(INFO *);
void handle_Play_Pause_disc(INFO *);
void handle_Eject_disc(INFO *pInfo);

void handle_Navigation_disc(INFO *, DWORD);
void handle_Subtitle_Change_disc(INFO *);
void handle_Angle_Change_disc(INFO *);
void handle_Langage_Change_disc(INFO *);

void handle_Resume_disc(INFO *);
void handle_Menu_Call_disc(INFO *);
void handle_Title_Call_disc(INFO *);

void handle_SubMenu_Call_dvd(INFO *, BYTE);

void handle_Repeat_Mode_disc(INFO *);
void handle_RepeatAB_Mode_disc(INFO *);

void handle_Time_Search_disc(INFO *);
void handle_Direct_Play_disc(INFO *, WORD);

DWORD getCurrentPlayingTime(DWORD *);

void refreshTitleChapter(INFO *);
void retrieveInfo_dvd(INFO*);

DWORD getDvdAspectRatio(DWORD *, DWORD *);
DWORD setDvdAspectRatio(DWORD , BOOL );

#endif /* HANDLEDISC_H */
